Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.rule
Class ConsequenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.kie.api.runtime.rule.ConsequenceException

All Implemented Interfaces:
  Serializable

    public class ConsequenceException

extends RuntimeException

See Also:
  Serialized Form

Constructor Summary
`ConsequenceException(Throwable rootCause, RuleRuntime workingMemory, Match match)`

Method Summary
`Match` | `getMatch()`
`String` | `getMessage()`
`Rule` | `getRule()`
`void` | `printFacts()`
`void` | `printFacts(PrintStream pStream)`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsequenceException

    public ConsequenceException(Throwable rootCause,
                                RuleRuntime workingMemory,
                                Match match)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getMatch

    public Match getMatch()

### getRule

    public Rule getRule()

### printFacts

    public void printFacts()

### printFacts

    public void printFacts(PrintStream pStream)

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.